"""Setup for the Issue732 package."""
from pathlib import Path

from setuptools import find_namespace_packages
from setuptools import setup


test_reqs = [
    "pytest>=6",
    "pytest-html>=2",
]

setup(
    name="Issue732",
    author="Adrien Berchet",
    description="Simple example for #732",
    long_description=Path("README.md").read_text(encoding="utf-8"),
    long_description_content_type="text/markdown",
    url="https://Issue732.readthedocs.io",
    project_urls={
        "Tracker": "https://github.com/adrien-berchet/Issue732/issues",
        "Source": "https://github.com/adrien-berchet/Issue732",
    },
    license="MIT License",
    packages=find_namespace_packages(include=["issue732*"]),
    python_requires=">=3.8",
    version="0.1.0",
    extras_require={
        "test": test_reqs,
    },
    include_package_data=True,
)
