"""Tests for the issue732.example module."""
import pytest

from issue732 import example


@pytest.fixture
def change_working_dir(tmp_path, monkeypatch):
    monkeypatch.chdir(tmp_path)


def test_add_3_4():
    """Adding 3 and 4."""
    assert example.add(3, 4) == 7


def test_add_3_4_with_internal_chgdir(tmp_path, monkeypatch):
    """Adding 3 and 4."""
    monkeypatch.chdir(tmp_path)
    assert example.add(3, 4) == 7


def test_add_3_4_with_chgdir_fixture(change_working_dir):
    """Adding 3 and 4."""
    assert example.add(3, 4) == 7
